curl --request GET \
--url https://api.veryfront.com/integrations/{name} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.veryfront.com/integrations/{name}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.veryfront.com/integrations/{name}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"name": "<string>",
"display_name": "<string>",
"icon": "<string>",
"description": "<string>",
"category": "communication",
"availability": "default",
"auth": {
"type": "oauth2",
"provider": "<string>",
"authorization_url": "<string>",
"token_url": "<string>",
"scopes": [
"<string>"
],
"optional_scopes": [
"<string>"
],
"callback_path": "<string>",
"required_apis": [
{
"name": "<string>",
"enable_url": "<string>"
}
]
},
"credential_env_var_names": [
"VERCEL_TOKEN"
],
"credential_requirement": {
"mode": "oauth_connection",
"managed_oauth": true,
"byo_oauth_app_override": {
"supported": true,
"required": true,
"client_id_env_var": "<string>",
"client_secret_env_var": "<string>"
},
"mandatory_env_vars": [
"<string>"
]
},
"env_vars": [
{
"name": "<string>",
"description": "<string>",
"required": true,
"sensitive": true,
"default": "<string>",
"docs_url": "<string>"
}
],
"tools": [
{
"id": "<string>",
"name": "<string>",
"description": "<string>",
"requires_write": true
}
],
"project_connections": {
"connected": 1,
"expired": 1,
"disconnected": 1
},
"project_user_connections": {
"connected": 1,
"expired": 1,
"disconnected": 1
},
"icon_url": "<string>",
"prompts": [
{
"id": "<string>",
"title": "<string>",
"prompt": "<string>",
"category": "<string>",
"icon": "<string>"
}
],
"suggested_with": [
"<string>"
],
"config_schema": {
"version": 1,
"fields": [
{
"key": "<string>",
"type": "select",
"label": "<string>",
"description": "<string>",
"default": "<unknown>",
"options": [
{
"value": "<string>",
"label": "<string>",
"description": "<string>"
}
],
"min": 123,
"max": 123,
"step": 123
}
]
},
"setup_guide": {
"steps": [
{
"title": "<string>",
"description": "<string>",
"step": 123,
"url": "<string>",
"docs_url": "<string>",
"code": "<string>"
}
],
"title": "<string>",
"notes": [
"<string>"
],
"documentation": "<string>"
}
}{
"type": "https://api.veryfront.com/errors/validation-failed",
"title": "Validation Failed",
"status": 400,
"idempotency": {
"state": "in_progress",
"operation": "<string>",
"retryable": true,
"retry_after_seconds": 1,
"expires_at": "<string>",
"recovery": {
"available": true,
"description": "<string>",
"resource_url": "<string>"
}
},
"code": "RUN_INVALID_INPUT",
"detail": "The 'email' field must be a valid email address",
"instance": "/projects/my-project/members",
"slug": "validation-failed",
"category": "VALIDATION",
"suggestion": "Check the request body and query parameters against the API documentation.",
"errors": [
{
"field": "email",
"message": "Invalid email format",
"code": "INVALID_FORMAT"
}
]
}{
"type": "https://api.veryfront.com/errors/validation-failed",
"title": "Validation Failed",
"status": 400,
"idempotency": {
"state": "in_progress",
"operation": "<string>",
"retryable": true,
"retry_after_seconds": 1,
"expires_at": "<string>",
"recovery": {
"available": true,
"description": "<string>",
"resource_url": "<string>"
}
},
"code": "RUN_INVALID_INPUT",
"detail": "The 'email' field must be a valid email address",
"instance": "/projects/my-project/members",
"slug": "validation-failed",
"category": "VALIDATION",
"suggestion": "Check the request body and query parameters against the API documentation.",
"errors": [
{
"field": "email",
"message": "Invalid email format",
"code": "INVALID_FORMAT"
}
]
}{
"type": "https://api.veryfront.com/errors/validation-failed",
"title": "Validation Failed",
"status": 400,
"idempotency": {
"state": "in_progress",
"operation": "<string>",
"retryable": true,
"retry_after_seconds": 1,
"expires_at": "<string>",
"recovery": {
"available": true,
"description": "<string>",
"resource_url": "<string>"
}
},
"code": "RUN_INVALID_INPUT",
"detail": "The 'email' field must be a valid email address",
"instance": "/projects/my-project/members",
"slug": "validation-failed",
"category": "VALIDATION",
"suggestion": "Check the request body and query parameters against the API documentation.",
"errors": [
{
"field": "email",
"message": "Invalid email format",
"code": "INVALID_FORMAT"
}
]
}Get integration
Returns an integration by name.
Authorizations
Use a JWT bearer token or a Veryfront API key in the Authorization header.
Path Parameters
Integration name
"gmail"
Query Parameters
Deprecated. The package determines the version.
Response
Integration details
Connector category from the veryfront package, such as communication or development. Null when the package declares none.
"communication"
Why this deployment publishes the integration: default (supported everywhere), experimental (enabled by this deployment's experimental integrations setting; may be absent elsewhere) or host_adapter (an adapter-only connector this API drives with its own client).
default, experimental, host_adapter "default"
Show child attributes
Show child attributes
Environment variable names for the integration’s credentials. Empty if none are configured.
["VERCEL_TOKEN"]
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes